import { Ref } from 'vue';
import { ValidationRule as SyValidationRule } from '../../composables/validation/useValidation';
export type TextareaRule = (value: string) => boolean | string;
export declare function useDefaultValidationRules(params: {
    required: Ref<boolean>;
    maxLines: Ref<number | undefined>;
    hasInteracted: Ref<boolean>;
}): {
    vuetifyRules: import('vue').ComputedRef<TextareaRule[]>;
    customRules: import('vue').ComputedRef<SyValidationRule[]>;
};
